Bug 74072 - at commands run as wrong user
at commands run as wrong user
Product: Red Hat Linux
Classification: Retired
Component: at (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-09-14 14:27 EDT by Steven W. Orr
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-01 14:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2002-09-14 14:27:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
If I run a batch command from an account that I did an su - to, the command runs
as the user that I first logged into as.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Log in as user1
2.su - user2
3.Run a command via batch.


Actual Results:  Mail is sent to user1 instead of to user2

Expected Results:  Mail should have been sent to user2

Additional info:

batch is using getlogin(3) ro get the delivery address instead of using getuid
and then getpwuid.
Comment 1 Jens Petersen 2003-06-02 03:32:19 EDT
Reproduced also with at_3.1.8-11.
Comment 2 Jay Fenlason 2004-07-01 14:46:43 EDT
This is at's documented behavior in its man page.

Note You need to log in before you can comment on or make changes to this bug.